Bug 1124601 - update thunderbird for EPEL7
Summary: update thunderbird for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: thunderbird
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 21:41 UTC by Chris Schanzle
Modified: 2014-10-28 10:57 UTC (History)
5 users (show)

Fixed In Version: thunderbird-31.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1172386 (view as bug list)
Environment:
Last Closed: 2014-10-28 10:57:22 UTC


Attachments (Terms of Use)
convert f20 spec to el7 (406 bytes, patch)
2014-10-23 18:58 UTC, Jim Perrin
no flags Details | Diff

Description Chris Schanzle 2014-07-29 21:41:48 UTC
The current thunderbird in epel/beta/7 is thunderbird-24.5.0-2.el7

Current release is 24.7 -- or 31?  Seems they've merged:

https://www.mozilla.org/en-US/thunderbird/organizations/

  The Thunderbird Extended Support Releases (ESR) have now been merged into the mainstream releases.

  The mainstream releases are now operating to similar standards as the Mozilla Firefox ESR - they are stable for approximately one year, before receiving feature updates.


Regardless, would appreciate an update for continued testing.  Thanks!

Comment 1 Chris Schanzle 2014-09-03 14:50:57 UTC
v.31.1.0, released: September 2, 2014 with security fixes:
https://www.mozilla.org/en-US/thunderbird/31.1.0/releasenotes/

Comment 2 Jim Perrin 2014-10-23 18:20:23 UTC
The fedora 20 update builds fine with very minimal modifications to the spec file. Perhaps this could be pushed?

Comment 3 Jim Perrin 2014-10-23 18:58:20 UTC
Created attachment 950049 [details]
convert f20 spec to el7

starting from http://mirrors.kernel.org/fedora/updates/20/SRPMS/thunderbird-31.2.0-1.fc20.src.rpm

The following patch (2 single line fixes) seems to be all that's required for the current thunderbird to build on el7.

Comment 4 Adam Miller 2014-10-23 19:04:56 UTC
This is already built for EPEL7 http://koji.fedoraproject.org/koji/buildinfo?buildID=585731 .... appears that it was done on 2014-10-16

Looks like it just needs an entry in bodhi.

Comment 5 Fedora Update System 2014-10-23 19:56:03 UTC
thunderbird-31.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/thunderbird-31.2.0-1.el7

Comment 6 Fedora Update System 2014-10-28 10:57:22 UTC
thunderbird-31.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.